aim4.config

## Enum Constants.CardinalDirection

- java.lang.Object
- - java.lang.Enum<Constants.CardinalDirection>
  - - aim4.config.Constants.CardinalDirection

- All Implemented Interfaces:
    Serializable, Comparable<Constants.CardinalDirection>
  Enclosing class:
    Constants

      public static enum Constants.CardinalDirection
      extends Enum<Constants.CardinalDirection>

  The four cardinal directions: north, east, south, and west.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EAST` East
    `NORTH` North
    `SOUTH` South
    `WEST` West

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.CardinalDirection` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Constants.CardinalDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORTH

          public static final Constants.CardinalDirection NORTH

      North

    - #### EAST

          public static final Constants.CardinalDirection EAST

      East

    - #### SOUTH

          public static final Constants.CardinalDirection SOUTH

      South

    - #### WEST

          public static final Constants.CardinalDirection WEST

      West

  - ### Method Detail

    - #### values

          public static Constants.CardinalDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.CardinalDirection c : Constants.CardinalDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.CardinalDirection valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All rights reserved.